Bug 209562 - results.webkit.org: Add investigation endpoint
Summary: results.webkit.org: Add investigation endpoint
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jonathan Bedard
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-03-25 13:57 PDT by Jonathan Bedard
Modified: 2020-04-27 14:12 PDT (History)
6 users (show)

See Also:


Attachments
Patch (18.82 KB, patch)
2020-03-25 15:01 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (57.02 KB, patch)
2020-03-31 15:58 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (57.75 KB, patch)
2020-04-01 18:16 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (63.02 KB, patch)
2020-04-22 15:02 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (63.02 KB, patch)
2020-04-27 13:00 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Bedard 2020-03-25 13:57:39 PDT
We should have a place which links all failures for a specific commit or range of commits. This is essentially a visualization of the /api/failures endpoint, which will tell us which tests failed on a given configuration/uuid.
Comment 1 Jonathan Bedard 2020-03-25 15:01:14 PDT
Created attachment 394548 [details]
Patch
Comment 2 Jonathan Bedard 2020-03-31 15:58:58 PDT
Created attachment 395102 [details]
Patch
Comment 3 Jonathan Bedard 2020-04-01 18:16:44 PDT
Created attachment 395232 [details]
Patch
Comment 4 Zhifei Fang 2020-04-20 15:53:54 PDT
Comment on attachment 395232 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=395232&action=review

> Tools/resultsdbpy/resultsdbpy/view/static/js/common.js:188
> +    result += `${time.getSeconds() <= 9 && time.getMinutes() ? '0' : ''}${time.getSeconds()}.${time.getMilliseconds() <= 99 ? '0' : ''}${time.getMilliseconds() <= 9 ? '0' : ''}${time.getMilliseconds()} `;

instead of showing things like "Suite took 22:37.856 minutes to run" I think it will be better to change "Suite took 22 minutes and 37.856 seconds to run"

> Tools/resultsdbpy/resultsdbpy/view/templates/investigate.html:116
> +                            <div class="item text block" style="width: 100%; overflow: hidden; white-space: nowrap; text-overflow: ellipsis;">${diff.configuration}</div>

I guess we may need to consider to add a prefix "Configuration" here to explain what's this, especially for "all" configuration.

> Tools/resultsdbpy/resultsdbpy/view/templates/investigate.html:118
> +                                Comprised of ${diff.results.length} run${diff.results.length === 1 ? '' : 's'} using

I guess for a single run result , maybe we change this to fit it only show one run result, like "revision: ${}" since we are not aggregating anything, and maybe we should display the commit pair instead

> Tools/resultsdbpy/resultsdbpy/view/templates/investigate.html:131
> +                                        return 'unknown commits';

Not sure if those results are still worth to show, since we cannot locate them, then we cannot compare them, we just know there is a failure. or maybe we just don't have enough data in the commit database currently, maybe it will later have enough info to display ?

> Tools/resultsdbpy/resultsdbpy/view/templates/investigate.html:173
> +                            <div class="col-s-6 list">

Should we add a title here to explain what's the list for? I guess we are trying to display all the failed test runs here.

> Tools/resultsdbpy/resultsdbpy/view/templates/investigate.html:214
> +                DOM.inject(element, `<div class="list">

Should we also consider add a title to explain this list here ? I guess we are displaying the specific failed tests here.

> Tools/resultsdbpy/resultsdbpy/view/templates/investigate.html:370
> +                            <a class="button" style="cursor: pointer; display: none" ref="${this.previous}">รข Previous</a>

Maybe a drop down will be more useful here, consider the user may want to see an overview, and jump between them
Comment 5 Jonathan Bedard 2020-04-22 15:02:50 PDT
Created attachment 397269 [details]
Patch
Comment 6 Aakash Jain 2020-04-27 12:20:40 PDT
rs=me
Comment 7 Jonathan Bedard 2020-04-27 13:00:20 PDT
Created attachment 397722 [details]
Patch
Comment 8 EWS 2020-04-27 14:11:47 PDT
Committed r260782: <https://trac.webkit.org/changeset/260782>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 397722 [details].
Comment 9 Radar WebKit Bug Importer 2020-04-27 14:12:17 PDT
<rdar://problem/62468215>